Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Get Message Extension for One-to-One and Group Chat

Retrieve the extension information of a specific message based on the Message ID.

Request Method

POST: https://data center domain/message/expansion/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. For details, refer to API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, supporting the following HTTP form parameters:

ParameterTypeRequiredDescription
msgUIDStringYesThe unique identifier of the message, which can be obtained through the Post-messaging Callback feature. For details, refer to Post-messaging Callback.
pageNoIntNoPage number. By default, 300 extension entries are returned.

Request Example

POST /message/expansion/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1585127132438
Signature: 890b422b75c1c5cb706e4f7921df1d94e69c17f4
Content-Type: application/x-www-form-urlencoded

msgUID=BRGM-DEN2-01E4-BN66

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeIntReturn code. 200 indicates success.
extraContentObjectThe content of the message extension, represented as a JSON structure of Key-Value pairs, e.g., {"type":"3"}. The Key can be up to 32 characters long, supporting uppercase and lowercase English letters, numbers, and special characters + = - _. Chinese characters are not supported. The Value can be up to 4096 characters long.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"extraContent": {
"kkk314": {
"v": "vvv314",
"ts": 33831605613
},
"kkk313": {
"v": "vvv313",
"ts": 33831605588
}
}
}